This endpoint allows you to transition a user whose UserCategory is PAYER into an OWNER by providing the required information and redirecting them on the PendingUserAction.RedirectUrl response value to complete SCA enrollment.SCA applies to all LegalPersonType: BUSINESS, ORGANIZATION, PARTNERSHIP, and SOLETRADER. In Sandbox the RedirectUrl is returned for all legal user types (see legal user integration and SCA triggers in Sandbox).Optionally, you can update the LegalRepresentative.Email (in not already present) and provide or update the LegalRepresentative.PhoneNumber and LegalRepresentative.PhoneNumberCountry before SCA redirection.If the user’s UserCategory is already OWNER, use the POST Enroll a User in SCA endpoint to obtain an SCA session link.Read more about SCA redirection→
Note – Country-based restrictions apply to usersDue to Mangopay’s country restrictions, it is not possible to use blocked countries as the following:
The date of birth of the individual.Note: This is a Unix timestamp in UTC. Ensure you convert your timezone to UTC to avoid midnight being interpreted as the day before.
Format: A valid email addressThe individual’s email address. For OWNER users, SCA uses this email address to build a behavioral biometrics profile and as a backup communication channel.
Format: International E.164 standard (preceded by plus sign and country code) or local formatThe individual’s phone number. The local format (recommended) requires PhoneNumberCountry to ensure correct formatting.If present, the phone number forms part of card transaction data that is passed to issuers to improve authentication rates.For users with UserCategoryOWNER , the phone number is used to pre-populate the SCA session for them to confirm and receive an SMS OTP. If the individual modifies the phone number during the session, this data is not updated in the API.
Format: Two-letter country code (ISO 3166-1 alpha-2 format)Required if the PhoneNumber is provided in local format (recommended), to render the value in the E.164 standard.
Required if LegalPersonType is BUSINESS.The registration number of the entity, assigned by the relevant national authority. For information on the expected format for a specific country, see the Company number guide. To validate the format of a number before submitting documents for verification, use POST Validate the format of User data.
Possible values:USER_PRESENT, USER_NOT_PRESENTDefault value:USER_PRESENTThe SCA context of the request, which is required if the OWNER value is being assigned for UserCategory:
USER_PRESENT – The user is on session during OWNER account creation and can enroll in SCA at the same time. The platform must redirect the user using the PendingUserAction.RedirectUrl returned so that the user can complete the SCA session.
USER_NOT_PRESENT – The platform has explicit permission from Mangopay to create the OWNER user account without simultaneous SCA enrollment.
Read more about asynchronous SCA enrollment→Note: On User endpoints, ScaContext is not returned in the API response as it does not form part of the User data – it’s only related to the action being performed on the user.
Returned values: BUSINESS, PARTNERSHIP, ORGANIZATION, SOLETRADERThe type of legal user. For information on which LegalPersonType to use for a particular local legal structure, see the verification requirements.Caution: Modification of the LegalPersonType may result in a verification downgrade.
Returned null if UserCategory is PAYER.The date of birth of the individual.Note: This is a Unix timestamp in UTC. Ensure you convert your timezone to UTC to avoid midnight being interpreted as the day before.
Format: A valid email addressRequired if UserCategory is OWNER. Returned null if UserCategory is PAYER.The individual’s email address. For OWNER users, SCA uses this email address to build a behavioral biometrics profile and as a backup communication channel.
Format: Two-letter country code (ISO 3166-1 alpha-2 format)Required if the PhoneNumber is provided in local format (recommended), to render the value in the E.164 standard.
Format: International E.164 standard (preceded by plus sign and country code) or local formatThe individual’s phone number. The local format (recommended) requires PhoneNumberCountry to ensure correct formatting.If present, the phone number forms part of card transaction data that is passed to issuers to improve authentication rates.For users with UserCategoryOWNER , the phone number is used to pre-populate the SCA session for them to confirm and receive an SMS OTP. If the individual modifies the phone number during the session, this data is not updated in the API.
The Id of the KYC Document whose Type is SHAREHOLDERS_DECLARATION if validated for the user. If no Shareholder Declaration is validated, then this value is null.
The Id of the KYC Document whose Type is ARTICLES_OF_ASSOCIATION if validated for the user. If no articles of association document is validated, then this value is null.
Required if UserCategory is OWNER and LegalPersonType is BUSINESS. Returned null if UserCategory is PAYER.The registration number of the entity, assigned by the relevant national authority. For information on the expected format for a specific country, see the Company number guide. To validate the format of a number before submitting documents for verification, use POST Validate the format of User data.
The URL to which to redirect the user to perform strong customer authentication (SCA) via a Mangopay-hosted webpage. This value is a variable and should not be hardcoded.The SCA session link expires 10 minutes after it’s generated.Caution: Before redirecting the user on this URL, you must add the query parameter ReturnUrl with the percent-encoded URL to which you want the SCA session to return the user after authentication (whether successful or not).For more details, see How to redirect a user for an SCA session.
Default value:LIGHTReturned values:LIGHT, REGULARThe verification status of the user set by Mangopay:
LIGHT – Unverified, assigned by default to all users.
REGULAR – Verified, meaning the user has successfully completed the verification process and had the necessary documents validated by Mangopay. Only users whose UserCategory is OWNER can submit verification documents for validation. Only users whose KYCLevel is REGULAR can request payouts.
Whether the user has accepted Mangopay’s terms and conditions (as defined by your contract, see the T&Cs guide for details).Must be true if UserCategory is OWNER.
Possible values:PAYER, OWNER, PLATFORMThe category of the user:
PAYER – User who can only make pay-ins to their wallets and transfers to other wallets (as well as refunds for pay-ins and transfers).
OWNER – User who can also receive transfers to their wallets. Owners are able to request KYC verification, which if successful gives them the KYCLevel of REGULAR and the ability to request payouts.
PLATFORM – Single specific user that represents the platform. The PLATFORM value is only assigned by Mangopay and may be used as part of the validated workflow implemented by the platform.
Returned values:PENDING_USER_ACTION, ACTIVE, CLOSEDThe status of the user:
PENDING_USER_ACTION – The user must enroll in SCA before they can become ACTIVE.
ACTIVE – The user account is active and the user can access Mangopay features.
CLOSED – The user account is permanently closed. This value is used by Mangopay to close an account following the procedure outlined in the terms and conditions.
400 - LegalRepresentative.Email required
{ "Message": "One or several required parameters are missing or incorrect. An incorrect resource ID also raises this kind of error.", "Type": "param_error", "Id": "939c4b8c-3e82-4012-a5bd-a3aa2727432a", "Date": 1751881519.0, "errors": { "LegalRepresentative.Email": "'Email' must not be empty." }}
400 - Endpoint not allowed if category already OWNER
{ "Message": "This endpoint is not allowed for User categorized as OWNER", "Type": "not_allowed_for_user_category_owner", "Id": "68d1c3e0-ea28-465b-9ef1-36f388fc896d", "Date": 1734348365.0, "errors": null}
If the user’s UserCategory is OWNER, use the POST Enroll a User in SCA endpoint to obtain an SCA session link.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Mangopay docs","description":"Product guides and API reference for Mangopay's wallet-first payment infrastructure","colors":{"primary":"#00000E","light":"#FFFFFF","dark":"#12282F"},"logo":{"light":"https://mintcdn.com/mangopay/EHwmKiFob2p48DHF/logo/mgp-light.svg?fit=max\u0026auto=format\u0026n=EHwmKiFob2p48DHF\u0026q=85\u0026s=f2bf5f88a1d39831377b5952b46b031c","dark":"https://mintcdn.com/mangopay/EHwmKiFob2p48DHF/logo/mgp-dark.svg?fit=max\u0026auto=format\u0026n=EHwmKiFob2p48DHF\u0026q=85\u0026s=98389a9237e8b1abb2aa34b3ca686ee4"},"favicon":"https://mintcdn.com/mangopay/EHwmKiFob2p48DHF/logo/mgp-favicon.svg?fit=max\u0026auto=format\u0026n=EHwmKiFob2p48DHF\u0026q=85\u0026s=ee5912ec577e98b0b72a31c063e9325f","api":{"playground":{"display":"simple"}},"background":{"color":{"light":"#FFFFFF","dark":"#090D0D"}},"navbar":{"links":[{"href":"https://mangopay.com/contact","label":"Contact sales"}],"primary":{"type":"button","label":"Dashboard","href":"https://hub.mangopay.com"}},"seo":{"metatags":{"og:image":"/images/seo_og_image_blank.png"},"indexing":"navigable"},"fonts":{"family":"Inter"},"styling":{"eyebrows":"section","latex":false},"integrations":{"gtm":{"tagId":"GTM-PM2TV97"},"hotjar":{"hjid":"5086558","hjsv":"6"}},"contextual":{"options":["copy","view"],"display":"header"},"interaction":{"drilldown":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"mangopay","hasAudioNarration":false,"actualSubdomain":"mangopay","customDomains":["docs.mangopay.com"],"gitSource":{"type":"gitlab","owner":"mangopay/dev/offer","repo":"docs","projectId":76955225,"deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ad9d6b35b6514564d510183","collectionId":"9fb7d867-d530-47b2-96ea-37cdbba0aab4","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ad9d6b35b6514564d510183"},"feedback":{"thumbs":true,"edits":false},"entitlements":{"AI_CHAT":{"status":"DISABLED"},"REMOVE_BRANDING":{"status":"DISABLED"},"CONTEXTUAL_FEEDBACK":{"status":"DISABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"DISABLED"}},"buildId":"6ad9d6b35b6514564d510183","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API reference","count":338},{"language":"default","tag":"Guides","count":101},{"language":"default","tag":"APM pay-ins","count":59},{"language":"default","tag":"Integration","count":52},{"language":"default","tag":"Payments","count":40},{"language":"default","tag":"Disputes","count":34},{"language":"default","tag":"Banking pay-ins","count":33},{"language":"default","tag":"Card pay-ins","count":33},{"language":"default","tag":"Echo","count":32},{"language":"default","tag":"Users","count":31}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"custom.css","content":"/* cyrillic-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZJhiI2B.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZthiI2B.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZNhiI2B.woff2) format('woff2');\n unicode-range: U+1F00-1FFF;\n}\n/* greek */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZxhiI2B.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZBhiI2B.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZFhiI2B.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZ9hiA.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-Cw6nSHrV.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwenSHrV.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwCnSHrV.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwynSHrV.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-Cw2nSHrV.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwOnSA.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD2OwG_TA.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD_OwG_TA.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD4OwG_TA.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD0OwG_TA.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD1OwG_TA.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD7OwE.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n@font-face{font-family:\"AeonikMedium\";src:url(\"https://feature-redesign-2025--dev-mangopay.netlify.app/fonts/aeonik/aeonik-medium.woff\")\n format(\"woff\")}#chat-assistant-disclaimer-text{font-size:0.875rem!important;line-height:1.25rem!important;color:#4b5563!important}#chat-assistant-disclaimer-text .dark{color:#9ca3af!important}.pill{display:inline-flex;margin:12px 0px;padding:0px 8px;justify-content:center;align-items:center;gap:4px;border-radius:4px;font-family:\"JetBrains Mono\", monospace;font-size:14px;font-style:normal;font-weight:700;line-height:20px;text-transform:uppercase}.pill-green{background-color:#89E481;color:#12282F}.pill-orange{background-color:#FFD260;color:#12282F}.pill-red{background-color:#F5C1AE;color:#12282F}.pill-blue{background-color:#AAE0FF;color:#12282F}.pill-gray{margin:0px 12px 0px 0px;background-color:#f5f3f5;color:#2d0f37}.background-color-yellow{background-color:#12282f}.dark .background-color-yellow{background-color:#e5e5e5}.background-color-yellow:hover{background-color:#2a3e44}.dark .background-color-yellow:hover{background-color:#ffffff}.background-color-yellow:hover svg path:first-child{fill:#ffffff}.background-color-yellow:hover svg path:last-child{stroke:#ffffff}.dark .background-color-yellow svg path:first-child{fill:#00000e}.dark .background-color-yellow svg path:last-child{stroke:#00000e}.dark .background-color-yellow:hover svg path:first-child{fill:#00000e}.dark .background-color-yellow:hover svg path:last-child{stroke:#00000e}.card-header-color-yellow{color:#ffffff!important}.dark .card-header-color-yellow{color:#00000e!important}.background-color-lavander{background-color:#dbd9ff}.dark .background-color-lavander{background-color:#b6b2ff}.background-color-lavander:hover{background-color:#b6b2ff}.dark .background-color-lavander:hover{background-color:#867eff}.background-color-lavander:hover svg path:first-child{fill:#00000e}.background-color-lavander:hover svg path:last-child{stroke:#00000e}#search-bar-entry span{color:inherit}#topbar-cta-button a:hover .bg-primary-dark{--primary-dark: 65 83 89}html.dark #topbar-cta-button .bg-primary-dark{--primary-dark: 34 37 37}html.dark #topbar-cta-button a:hover .bg-primary-dark{--primary-dark: 58 61 61}:is(.dark #navbar>div:nth-child(2) .dark\\:border-primary-light){border-color:white}.flex.font-mono.text-sm .font-bold.text-primary.dark\\:text-primary-light{font-size:15px}.flex.font-mono.text-sm .font-bold.text-primary.dark\\:text-primary-light~div>div{color:rgb(var(--gray-600))}html.dark .flex.font-mono.text-sm .font-bold.text-primary.dark\\:text-primary-light~div>div{color:rgb(var(--gray-200))}.flex.font-mono.text-sm~.mt-4.prose-sm.prose-gray.dark\\:prose-invert>ul,.flex.font-mono.text-sm~.mt-4.prose-sm.prose-gray.dark\\:prose-invert>ol,.flex.font-mono.text-sm~.mt-4.prose-sm.prose-gray.dark\\:prose-invert>p{font-size:15px;line-height:1.5rem}html.dark .prose :where(a):not(:where([class~=not-prose],[class~=not-prose] *)){color:inherit;border-bottom-color:white}#page-title{font-family:\"AeonikMedium\", sans-serif;font-weight:500;font-size:48px;line-height:56px}code.language-ruby,code.language-dotnet,code.language-python,code.language-java{color:#fff}code.language-php span,code.language-ruby span{color:#fff}.prose :where(strong):not(:where([class~=\"not-prose\"] *)){color:inherit}:is(.dark .prose strong){color:inherit}#text{color:#fff}.dark .card-header h2,.dark .card-body p{color:#2d0f37}html:not(.dark) .prose{color:#2d0f37}html.dark .prose{color:white}html:not(.dark) .text-gray-600,html:not(.dark) .text-gray-700,html:not(.dark) .text-gray-800,html:not(.dark) .text-gray-900{color:#2d0f37}html.dark .dark\\:text-gray-200,html.dark .dark\\:text-gray-300{color:white}h1{font-weight:800}h2,h3,h4,h5,h6{font-weight:600!important}html.dark h1,html.dark h2,html.dark h3,html.dark h4,html.dark h5,html.dark h6{color:white}html:not(.dark) h1,html:not(.dark) h2,html:not(.dark) h3,html:not(.dark) h4,html:not(.dark) h5,html:not(.dark) h6{color:#2d0f37}.resize-text{font-size:15px}code.language-ruby,code.language-python,code.language-java{color:#fff}code.language-php span,code.language-ruby span{color:#fff}#text{color:#fff}.dark .card-header h2,.dark .card-body p{color:#2d0f37}.prose :where(ol>li):not(:where([class~=\"not-prose\"] *))::marker{color:inherit}.prose :where(blockquote):not(:where([class~=\"not-prose\"] *)){border-color:#2d0f37;color:#2d0f37}:is(.dark .prose blockquote){border-color:white;color:white}html #sidebar{text-wrap:pretty}html #sidebar li{transition:0.15s}html.dark #sidebar .dark\\:text-gray-400 p{color:rgb(159, 158, 160)}:is(.dark .prose a){color:white}:is(.dark .dark\\:decoration-gray-500){text-decoration-color:inherit}.home-card-grid{display:grid;gap:0 1rem;grid-template-columns:1fr}@media (min-width: 640px){.home-card-grid-2{grid-template-columns:repeat(2, minmax(0, 1fr))}.home-card-grid-3{grid-template-columns:repeat(3, minmax(0, 1fr))}}.card,.card *{transition-duration:150ms}.card div.h-6.w-6{width:auto;height:auto}.dark .card:not(.card-variation){background:rgb(20, 23, 23);border:none}.dark .card:not(.card-variation):hover{background-color:#2d2e2f}.card:not(.card-variation):not(.sdk-card)>div{padding:1.5rem}.card:not(.card-variation) p{font-size:16px;margin-top:1rem}.card.shadow-md{box-shadow:unset}.card-variation .card-header{display:flex;justify-content:space-between;align-items:center}.card-variation.background-color-yellow:hover .card-header>h2{color:#ffffff}.card-variation.background-color-lavander:hover .card-header>h2{color:#00000e}.card-variation .card-header>h2{font-size:1.5rem}.card-variation .card-body{margin-top:48px}.card-variation .card-body p{line-height:24px}.card-variation.background-color-yellow:hover .card-body p{color:#ffffff}.dark .card-variation.background-color-yellow:hover .card-body p{color:#00000e}.card-variation.background-color-lavander:hover .card-body p{color:#00000e}.sdk-card{background-color:#f5f5f6;border:hidden}:not(.dark).sdk-card:hover{border:hidden;background-color:#e5e5e9;color:#00000e!important}.dark .sdk-card p{color:#dfdee0}table{border:none;font-size:15px!important;line-height:1.5rem!important}.hx-inside h4{margin-top:0!important}.prose :where(thead th):not(:where([class~=\"not-prose\"] *)){color:#2d0f37}.dark .prose :where(thead th):not(:where([class~=\"not-prose\"] *)){color:white}.header{vertical-align:middle;text-align:left;padding:10px 16px;font-weight:600}.header-compact{vertical-align:middle;text-align:left;font-weight:600}.header-compact-2{padding:10px 16px 10px 0px;vertical-align:top;text-align:left;font-weight:600}.compact{white-space:nowrap}.table-content{padding:10px 16px;vertical-align:top}.table-content p{margin-top:0}.table-content p:last-child{margin-bottom:0}.table-content li{padding-left:1.5rem!important}.table-content>ul:first-child{margin-top:0px!important;margin-bottom:0px!important;vertical-align:top}.table-content>ul:first-child>li:first-child{margin-top:0px!important;margin-bottom:0px!important;vertical-align:top}td:first-child,th:first-child,.dark td:first-child,.dark th:first-child{border-left:none}td:last-child,th:last-child,.dark td:last-child,.dark th:last-child{border-right:none}th{border-right:1px solid #d0d3d0;border-left:1px solid #d0d3d0;border-bottom:1px solid #d0d3d0;border-collapse:collapse}td{border-bottom:1px solid #d0d3d0;border-right:1px solid #d0d3d0;border-left:none;border-collapse:collapse}.dark td{border-bottom:1px solid #4e5251;border-right:1px solid #4e5251;border-left:none}.dark th{border-bottom:1px solid #4e5251;border-right:1px solid #4e5251}.header-column .header{vertical-align:top;margin-top:0em!important}.row-span{border-right:none;border-left:1px solid #d0d3d0}.dark .row-span{border-right:none;border-left:1px solid #4e5251}.no-borders{border:hidden!important}.hug-content{width:1%;white-space:nowrap}.min-height-4-lines{height:7.25rem}.min-height-3-lines{height:5.75rem}.min-height-2-lines{height:4.25rem}.currenciesTable{height:80vh;border-collapse:separate;border-spacing:0}.currenciesTable td{border-bottom:1px solid #d0d3d0;border-right:1px solid #d0d3d0;border-left:none;border-collapse:collapse;color:#374151}.dark .currenciesTable td{border-bottom:1px solid #4e5251;border-right:1px solid #4e5251;color:#9ca3af}.currenciesTable .header{border:1px solid #d0d3d0;border-top:none;border-left:none;background-color:#f3f5f3!important}.dark .currenciesTable .header{border:1px solid #4e5251;border-top:none;border-left:none;background-color:#171919!important}.currenciesTable thead tr:first-child th:first-child,.currenciesTable tbody th:first-child{position:sticky;left:0;z-index:1}.currenciesTable thead{position:sticky;top:0;z-index:2}.dark .currenciesTable thead{position:sticky;top:0;z-index:2}.header-normal-weight{font-weight:normal}.hide{display:none}.release-notes-cards .card h2{margin-top:0px}.release-notes-cards .card h4{font-size:1rem;font-weight:400}.release-notes-cards .card li{font-size:1rem}.release-notes-cards .pill{margin-top:1.2em!important;margin-bottom:0em!important}.release-notes-page :where(h3):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){margin-top:0.2em!important}.release-notes-page :where(h2):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){margin-top:0.2em!important}.release-notes-page .pill{margin-top:1.2em!important}html.dark #content-area button.dark:hover\\:bg-white\\/5{background-color:rgb(20, 23, 23)}html.dark #content-area button.dark:hover\\:bg-white\\/5:hover{background-color:#2d2e2f}#content-area .dark\\:bg-codeblock>button p{font-weight:600}html.dark #content-area div[role=\"listitem\"].border{background-color:rgb(20, 23, 23);border:none}.bar-of-progress{color:#fcb069!important}.bar-of-progress .glow{box-shadow:#fcb069 3px 0px 2px 0px!important}html.dark .bar-of-progress{color:#fcb069!important}html.dark .bar-of-progress .glow{box-shadow:#fcb069 3px 0px 2px 0px!important}.bar-of-progress:after{box-shadow:0px 0px 0px 0px!important}.text-sm.prose{font-size:15px;line-height:1.5rem}:is(.dark :not(pre)>code){border-color:#2d2e2f;background-color:rgb(20, 23, 23)}.not-prose.dark\\:bg-codeblock.rounded-xl{background:rgb(20, 23, 23)}.not-prose.dark\\:bg-codeblock.rounded-xl svg.fill-gray-700{fill:rgb(var(--gray-400))}.not-prose.dark\\:bg-codeblock.rounded-xl>div:first-child{background:#2d2e2f}.not-prose.dark\\:bg-codeblock.rounded-xl>div:first-child>.flex.overflow-x-auto{overflow-y:hidden}::-webkit-scrollbar{height:8px;width:8px}::-webkit-scrollbar-thumb{border-radius:2px;background:rgba(0, 0, 0, 0.1)}html.dark ::-webkit-scrollbar-thumb{background:rgba(255, 255, 255, 0.1)}::-webkit-scrollbar-track{background:rgba(0, 0, 0, 0.1)}html.dark::-webkit-scrollbar-track{background:rgba(255, 255, 255, 0.1)}.z-50.bg-tooltip.max-w-\\[16rem\\].text-center.text-gray-50.text-xs.px-1\\.5.py-1.rounded-lg.border.border-gray-50.dark\\:border-gray-500{font-size:14px;line-height:1.5rem}.lucide-arrow-up-right{visibility:hidden}footer{visibility:hidden}.mermaid{width:100%}.currency-dropdown-container{margin-bottom:25px}.currency-dropdown-label{font-size:15px;margin-right:10px;font-weight:600;display:block;margin-bottom:8px}.currency-dropdown-select{align-items:center;height:2.25rem;line-height:1.5rem;padding-right:0.75em;padding-left:0.875em;border-radius:4px;border:1px solid #ccc;width:25%;box-sizing:border-box;margin-bottom:20px;border-radius:var(--rounded-xl, 0.75rem)}.currency-details-section{font-size:15px}.currency-routes-list{list-style-type:none;padding-left:0}"},{"filePath":"_cookie-banner.css","content":"/* cyrillic-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZJhiI2B.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZthiI2B.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZNhiI2B.woff2) format('woff2');\n unicode-range: U+1F00-1FFF;\n}\n/* greek */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZxhiI2B.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZBhiI2B.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZFhiI2B.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZ9hiA.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-Cw6nSHrV.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwenSHrV.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwCnSHrV.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwynSHrV.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-Cw2nSHrV.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwOnSA.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD2OwG_TA.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD_OwG_TA.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD4OwG_TA.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD0OwG_TA.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD1OwG_TA.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD7OwE.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n@media (min-width: 600px){#onetrust-button-group{display:flex!important;justify-content:space-between!important}}@media (min-width: 600px){#onetrust-button-group{display:flex!important;flex-direction:row-reverse!important}}@media (min-width: 600px){#onetrust-button-group button{margin-right:12px!important}}#onetrust-pc-btn-handler,#onetrust-reject-all-handler,#onetrust-accept-btn-handler,.ot-pc-refuse-all-handler,.save-preference-btn-handler,#accept-recommended-btn-handler{border-radius:56px!important;font-size:12px!important;font-family:\"JetBrains Mono\", monospace!important;font-weight:500!important;transition:0.2s;min-width:0!important;letter-spacing:normal}#onetrust-reject-all-handler,.ot-pc-refuse-all-handler{border:1px solid #eae7eb!important;color:#12282f!important;background-color:transparent!important;padding:10px 24px!important}#onetrust-reject-all-handler:hover,.ot-pc-refuse-all-handler:hover,#onetrust-reject-all-handler:focus,.ot-pc-refuse-all-handler:focus{border-color:#eae7eb!important;background-color:#eae7eb!important;opacity:1!important}#onetrust-accept-btn-handler,.save-preference-btn-handler,#accept-recommended-btn-handler{background:#867eff!important;border:1px solid #867eff!important;color:#ffffff!important;padding:10px 24px!important}#onetrust-accept-btn-handler:hover,.save-preference-btn-handler:hover,#accept-recommended-btn-handler:hover,#onetrust-accept-btn-handler:focus,.save-preference-btn-handler:focus,#accept-recommended-btn-handler:focus{border-color:#665eff!important;background-color:#665eff!important;color:#ffffff!important;opacity:1!important}#onetrust-pc-btn-handler{border:none!important;color:#12282f!important;background-color:transparent!important;padding:10px 24px!important}#onetrust-pc-btn-handler:hover,#onetrust-pc-btn-handler:focus{color:#12282f!important;padding:10px 24px!important;border-color:#eae7eb!important;background-color:#eae7eb!important;opacity:1!important}#onetrust-consent-sdk #onetrust-pc-sdk div.ot-always-active{color:#867eff!important}#onetrust-consent-sdk #onetrust-pc-sdk .category-menu-switch-handler h3{transition:0.2s}#onetrust-consent-sdk #onetrust-pc-sdk .category-menu-switch-handler:hover h3{color:#867eff}#onetrust-consent-sdk #onetrust-pc-sdk,#onetrust-consent-sdk #onetrust-banner-sdk{border-radius:16px!important}#onetrust-consent-sdk #onetrust-pc-sdk p,#onetrust-consent-sdk #onetrust-banner-sdk p{color:#12282f!important}#onetrust-consent-sdk #onetrust-pc-sdk *:focus,#onetrust-consent-sdk #onetrust-banner-sdk *:focus{outline:none!important}#onetrust-consent-sdk #onetrust-pc-sdk:focus,#onetrust-consent-sdk #onetrust-banner-sdk:focus{outline:none!important}#onetrust-consent-sdk #onetrust-pc-sdk .privacy-notice-link{color:#2d0f37!important;text-decoration:underline!important;transition:0.2s}#onetrust-consent-sdk #onetrust-pc-sdk .privacy-notice-link:hover{color:#867eff!important;text-decoration:underline!important}#onetrust-consent-sdk #onetrust-pc-sdk .ot-active-menu{border-color:#867eff!important}#onetrust-consent-sdk #onetrust-banner-sdk{box-shadow:none!important;background-color:#ffffff!important}@media (min-width: 600px){#onetrust-consent-sdk #onetrust-banner-sdk.otCenterRounded{top:auto!important;bottom:24px!important}}#onetrust-consent-sdk #onetrust-banner-sdk #onetrust-policy-text{font-size:14px!important;line-height:24px!important}#onetrust-consent-sdk #onetrust-banner-sdk a[href]{color:#12282f!important;text-decoration:underline!important;transition:0.2s;font-weight:400!important}#onetrust-consent-sdk #onetrust-banner-sdk a[href]:hover{color:#867eff!important;text-decoration:underline!important}#onetrust-consent-sdk #onetrust-banner-sdk.ot-bnr-w-logo #onetrust-policy{margin-top:30px!important}#onetrust-consent-sdk #onetrust-banner-sdk.ot-bnr-w-logo .ot-bnr-logo{margin-left:0.875rem!important}@media (min-width: 601px){#onetrust-consent-sdk #onetrust-banner-sdk.ot-bnr-w-logo .ot-bnr-logo{margin-left:1.375rem!important}}@media (min-width: 600px){#onetrust-consent-sdk #onetrust-banner-sdk.ot-bnr-w-logo .ot-bnr-logo{margin-left:1.5rem!important}}#onetrust-consent-sdk .ot-bnr-logo{display:none!important}#onetrust-consent-sdk #onetrust-pc-sdk{overflow:hidden!important;background:#f9f8f9!important;box-shadow:0px 8px 12px rgba(45, 12, 45, 0.05),\n 0px -2px 4px rgba(45, 12, 45, 0.02), 0px 2px 4px rgba(0, 0, 0, 0.05)!important}#onetrust-consent-sdk #onetrust-pc-sdk .ot-pc-footer-logo{display:none!important}#onetrust-consent-sdk #onetrust-pc-sdk .save-preference-btn-handler,#onetrust-consent-sdk #onetrust-pc-sdk .ot-pc-refuse-all-handler,#onetrust-consent-sdk #onetrust-pc-sdk #accept-recommended-btn-handler{border-radius:1.38rem!important}#onetrust-consent-sdk #onetrust-pc-sdk .ot-always-active{color:#867eff!important}#onetrust-consent-sdk #onetrust-pc-sdk .ot-sdk-container{border-radius:0!important}#onetrust-consent-sdk #onetrust-pc-sdk #ot-pc-desc br{display:none}.footer-ot-cookie-settings-btn .ot-sdk-show-settings,.legal-page .ot-sdk-show-settings{border:none!important;padding:0!important}.footer-ot-cookie-settings-btn .ot-sdk-show-settings:hover,.legal-page .ot-sdk-show-settings:hover{background-color:transparent!important}.legal-page .ot-sdk-show-settings{color:#867eff!important;font-size:inherit!important}.legal-page .ot-sdk-show-settings:hover{color:#867eff!important}#ot-sdk-cookie-policy .ot-sdk-cookie-policy.ot-sdk-container{box-shadow:none!important}#ot-sdk-cookie-policy .ot-sdk-cookie-policy.ot-sdk-container *{color:#2d0c2d!important}#ot-sdk-cookie-policy .ot-sdk-cookie-policy.ot-sdk-container a{text-decoration:none!important;background-color:transparent!important;color:#867eff!important}#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy #cookie-policy-title,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy .ot-sdk-cookie-policy-group,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy #cookie-policy-description,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy h5,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy h6,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy li,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy p{font-size:1.25rem!important}@media only screen and (min-width: 768px){#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy #cookie-policy-title,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy .ot-sdk-cookie-policy-group,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy #cookie-policy-description,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy h5,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy h6,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy li,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy p{font-size:1.25rem!important;line-height:2rem!important}}#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy a,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy span,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy td{font-size:0.9rem!important}@media only screen and (min-width: 768px){#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy a,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy span,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy td{font-size:1.25rem!important;line-height:2rem!important}}@media only screen and (max-width: 720px){#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy table,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy thead,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy tbody,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy th,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy td,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy tr{display:block!important}}@media only screen and (min-width: 720px){#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy th,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy td{max-width:200px}}#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy table .ot-host,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy table .ot-cookies-type{width:auto!important}@media only screen and (min-width: 720px){#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy table .ot-host,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy table .ot-cookies-type{width:25%!important}}@media only screen and (min-width: 400px){#onetrust-banner-sdk .ot-sdk-container,#onetrust-pc-sdk .ot-sdk-container,#ot-sdk-cookie-policy .ot-sdk-container{width:100%!important}}.cookie-page a{display:inline-block;word-wrap:break-word;max-width:100%!important}.cookie-page table .ot-host-td{word-wrap:break-word!important}"}],"page":{"pagePath":"api-reference/users/categorize-legal-user","slug":"/api-reference/users/categorize-legal-user","pageMetadata":{"title":"Categorize a Legal User","api":"PUT /v2.01/{ClientId}/sca/users/legal/{UserId}/category","description":"Transition a Legal Payer to Owner and enroll them in SCA","href":"/api-reference/users/categorize-legal-user"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Transition a Legal Payer to Owner and enroll them in SCA\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const Aml=({content})=>{const{Tooltip}=_provideComponents()||{};if(!Tooltip)_missingMdxReference(`Tooltip`,true);return _jsx(Tooltip,{tip:`Regulations which require companies like Mangopay to implement measures that help ensure the money transacting through their system is legitimate.`,children:content})};function _createMdxContent(props){const _components={a:`a`,br:`br`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,CodeBlock,Expandable,Heading,Note,ParamField,ResponseField}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`This endpoint allows you to transition a user whose `,_jsx(_components.code,{children:`UserCategory`}),` is `,_jsx(_components.code,{children:`PAYER`}),` into an `,_jsx(_components.code,{children:`OWNER`}),` by providing the required information and redirecting them on the `,_jsx(_components.code,{children:`PendingUserAction.RedirectUrl`}),` response value to complete SCA enrollment.`]}),`\n`,_jsxs(_components.p,{children:[`SCA applies to all `,_jsx(_components.code,{children:`LegalPersonType`}),`: `,_jsx(_components.code,{children:`BUSINESS`}),`, `,_jsx(_components.code,{children:`ORGANIZATION`}),`, `,_jsx(_components.code,{children:`PARTNERSHIP`}),`, and `,_jsx(_components.code,{children:`SOLETRADER`}),`. In Sandbox the `,_jsx(_components.code,{children:`RedirectUrl`}),` is returned for all legal user types (see `,_jsx(_components.a,{href:`/guides/sca/users#legal-user-integration`,children:`legal user integration`}),` and `,_jsx(_components.a,{href:`/guides/sca/users#sca-triggers-in-sandbox`,children:`SCA triggers in Sandbox`}),`).`]}),`\n`,_jsxs(_components.p,{children:[`Optionally, you can update the `,_jsx(_components.code,{children:`LegalRepresentative.Email`}),` (in not already present) and provide or update the `,_jsx(_components.code,{children:`LegalRepresentative.PhoneNumber`}),` and `,_jsx(_components.code,{children:`LegalRepresentative.PhoneNumberCountry`}),` before SCA redirection.`]}),`\n`,_jsxs(_components.p,{children:[`If the user’s `,_jsx(_components.code,{children:`UserCategory`}),` is already `,_jsx(_components.code,{children:`OWNER`}),`, use the `,_jsx(_components.a,{href:`/api-reference/users/enroll-user`,children:`POST Enroll a User in SCA`}),` endpoint to obtain an SCA session link.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.a,{href:`/guides/sca/session`,children:`Read more about SCA redirection`}),` `,_jsx(_components.strong,{children:`→`})]}),`\n`,_jsxs(Note,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Note – Country-based restrictions apply to users`})}),_jsxs(_components.p,{children:[`Due to Mangopay’s `,_jsx(_components.a,{href:`/guides/users/country-restrictions`,children:`country restrictions`}),`, it is not possible to use blocked countries as the following:`]}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`LegalRepresentative.Nationality`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`LegalRepresentative.CountryOfResidence`})}),`\n`]})]}),`\n`,_jsx(Heading,{level:`3`,id:`body-parameters`,children:`Body parameters`}),`\n`,_jsxs(ParamField,{body:`UserCategory`,type:`string`,required:true,id:`param-user-category`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Allowed values:`}),` `,_jsx(_components.code,{children:`OWNER`})]}),_jsxs(_components.p,{children:[`The new category of the user, which must be `,_jsx(_components.code,{children:`OWNER`}),`.`]})]}),`\n`,_jsxs(ParamField,{body:`TermsAndConditionsAccepted`,type:`boolean`,required:true,id:`param-terms-and-conditions-accepted`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Allowed values:`}),` `,_jsx(_components.code,{children:`true`})]}),_jsxs(_components.p,{children:[`Whether the user has accepted Mangopay’s terms and conditions (as defined by your contract, see the `,_jsx(_components.a,{href:`/guides/users/terms`,children:`T\u0026Cs guide`}),` for details).`]})]}),`\n`,_jsxs(ParamField,{body:`LegalRepresentative`,type:`object`,required:true,id:`param-legal-representative`,children:[_jsx(_components.p,{children:`Information about the legal representative declared for the user.`}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ParamField,{body:`Birthday`,type:`Unix timestamp`,required:true,id:`param-birthday`,children:[_jsx(_components.p,{children:`The date of birth of the individual.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Note:`}),` This is a Unix timestamp in UTC. Ensure you convert your timezone to UTC to avoid midnight being interpreted as the day before.`]})]}),_jsxs(ParamField,{body:`Nationality`,type:`string`,required:true,id:`param-nationality`,children:[_jsxs(_components.p,{children:[`Format: Two-letter country code (`,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`ISO 3166-1 alpha-2 format`}),`)`]}),_jsx(_components.p,{children:`The nationality of the individual.`})]}),_jsxs(ParamField,{body:`CountryOfResidence`,type:`string`,required:true,id:`param-country-of-residence`,children:[_jsxs(_components.p,{children:[`Format: Two-letter country code (`,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`ISO 3166-1 alpha-2 format`}),`)`]}),_jsx(_components.p,{children:`The country of residence of the individual.`})]}),_jsxs(ParamField,{body:`Email`,type:`string`,required:true,id:`param-email`,children:[_jsx(_components.p,{children:`Format: A valid email address`}),_jsxs(_components.p,{children:[`The individual’s email address. For `,_jsx(_components.code,{children:`OWNER`}),` users, SCA uses this email address to build a `,_jsx(_components.a,{href:`/guides/sca/factors#email-confirmation-behavioral-biometrics`,children:`behavioral biometrics profile`}),` and as a backup communication channel.`]})]}),_jsxs(ParamField,{body:`PhoneNumber`,type:`string`,id:`param-phone-number`,children:[_jsx(_components.p,{children:`Format: International E.164 standard (preceded by plus sign and country code) or local format`}),_jsxs(_components.p,{children:[`The individual’s phone number. The local format (recommended) requires `,_jsx(_components.code,{children:`PhoneNumberCountry`}),` to ensure correct formatting.`]}),_jsx(_components.p,{children:`If present, the phone number forms part of card transaction data that is passed to issuers to improve authentication rates.`}),_jsxs(_components.p,{children:[`For users with `,_jsx(_components.code,{children:`UserCategory`}),` `,_jsx(_components.code,{children:`OWNER`}),` , the phone number is used to pre-populate the SCA session for them to confirm and receive an SMS OTP. If the individual modifies the phone number during the session, this data is not updated in the API.`]})]}),_jsxs(ParamField,{body:`PhoneNumberCountry`,type:`string`,id:`param-phone-number-country`,children:[_jsxs(_components.p,{children:[`Format: Two-letter country code (`,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`ISO 3166-1 alpha-2 format`}),`)`]}),_jsxs(_components.p,{children:[`Required if the `,_jsx(_components.code,{children:`PhoneNumber`}),` is provided in local format (recommended), to render the value in the E.164 standard.`]})]})]})]}),`\n`,_jsxs(ParamField,{body:`HeadquartersAddress`,type:`object`,required:true,id:`param-headquarters-address`,children:[_jsx(_components.p,{children:`The legally registered address of the entity’s administrative center.`}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ParamField,{body:`AddressLine1`,type:`string`,required:true,id:`param-address-line1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The first line of the address.`})]}),_jsxs(ParamField,{body:`AddressLine2`,type:`string`,id:`param-address-line2`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The second line of the address.`})]}),_jsxs(ParamField,{body:`City`,type:`string`,required:true,id:`param-city`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The city of the address.`})]}),_jsxs(ParamField,{body:`Region`,type:`string`,id:`param-region`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsxs(_components.p,{children:[`Required if `,_jsx(_components.code,{children:`Country`}),` is US, CA, or MX.`]}),_jsx(_components.p,{children:`The region of the address.`})]}),_jsxs(ParamField,{body:`PostalCode`,type:`string`,required:true,id:`param-postal-code`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.`})]}),_jsx(ParamField,{body:`Country`,type:`string`,required:true,id:`param-country`,children:_jsx(_components.p,{children:`The country of the address.`})})]})]}),`\n`,_jsxs(ParamField,{body:`CompanyNumber`,type:`string`,id:`param-company-number`,children:[_jsxs(_components.p,{children:[`Required if `,_jsx(_components.code,{children:`LegalPersonType`}),` is `,_jsx(_components.code,{children:`BUSINESS`}),`.`]}),_jsxs(_components.p,{children:[`The registration number of the entity, assigned by the relevant national authority. For information on the expected format for a specific country, see the `,_jsx(_components.a,{href:`/guides/users/verification/company-number`,children:`Company number`}),` guide. To validate the format of a number before submitting documents for verification, use `,_jsx(_components.a,{href:`/api-reference/user-data-format/validate-user-data-format`,children:`POST Validate the format of User data`}),`.`]})]}),`\n`,_jsxs(ParamField,{body:`ScaContext`,type:`string`,id:`param-sca-context`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Possible values:`}),` `,_jsx(_components.code,{children:`USER_PRESENT`}),`, `,_jsx(_components.code,{children:`USER_NOT_PRESENT`})]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Default value:`}),` `,_jsx(_components.code,{children:`USER_PRESENT`})]}),_jsxs(_components.p,{children:[`The SCA context of the request, which is `,_jsx(_components.strong,{children:`required`}),` if the `,_jsx(_components.code,{children:`OWNER`}),` value is being assigned for `,_jsx(_components.code,{children:`UserCategory`}),`:`]}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`USER_PRESENT`}),` – The user is on session during `,_jsx(_components.code,{children:`OWNER`}),` account creation and can enroll in SCA at the same time. The platform must `,_jsx(_components.a,{href:`/guides/sca/session`,children:`redirect the user`}),` using the `,_jsx(_components.code,{children:`PendingUserAction.RedirectUrl`}),` returned so that the user can complete the SCA session.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`USER_NOT_PRESENT`}),` – The platform has explicit permission from Mangopay to create the `,_jsx(_components.code,{children:`OWNER`}),` user account without simultaneous SCA enrollment.`]}),`\n`]}),_jsxs(_components.p,{children:[`Read more about `,_jsx(_components.a,{href:`/guides/sca/proxy-management#user-account-creation`,children:`asynchronous SCA enrollment`}),` `,_jsx(_components.strong,{children:`→`})]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Note:`}),` On User endpoints, `,_jsx(_components.code,{children:`ScaContext`}),` is not returned in the API response as it does not form part of the User data – it’s only related to the action being performed on the user.`]})]}),`\n`,_jsx(Heading,{level:`3`,id:`responses`,children:`Responses`}),`\n`,_jsx(AccordionGroup,{children:_jsxs(Accordion,{title:`200`,id:`200`,children:[_jsxs(ResponseField,{name:`Name`,type:`string`,id:`param-name`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsxs(_components.p,{children:[`The registered legal name of the entity. The `,_jsx(_components.code,{children:`Name`}),` value should be the one registered with the relevant national authority.`]})]}),_jsxs(ResponseField,{name:`LegalPersonType`,type:`string`,id:`param-legal-person-type`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` BUSINESS, PARTNERSHIP, ORGANIZATION, SOLETRADER`]}),_jsxs(_components.p,{children:[`The type of legal user. For information on which `,_jsx(_components.code,{children:`LegalPersonType`}),` to use for a particular local legal structure, see the `,_jsx(_components.a,{href:`/guides/users/verification/requirements`,target:`_blank`,children:`verification requirements`}),`.`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Caution:`}),` Modification of the `,_jsx(_components.code,{children:`LegalPersonType`}),` may result in a `,_jsx(_components.a,{href:`/guides/users/verification/downgrade`,target:`_blank`,children:`verification downgrade`}),`.`]})]}),_jsxs(ResponseField,{name:`LegalRepresentative`,type:`object`,id:`param-legal-representative-1`,children:[_jsx(_components.p,{children:`Information about the legal representative declared for the user.`}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`FirstName`,type:`string`,id:`param-first-name`,children:[_jsx(_components.p,{children:`Min. length: 1; max. length: 100`}),_jsx(_components.p,{children:`The first name of the individual.`})]}),_jsxs(ResponseField,{name:`LastName`,type:`string`,id:`param-last-name`,children:[_jsx(_components.p,{children:`Min. length: 1; max. length: 100`}),_jsx(_components.p,{children:`The last name of the individual.`})]}),_jsx(ResponseField,{name:`ProofOfIdentity`,type:`string`,id:`param-proof-of-identity`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`Id`}),` of the KYC Document whose `,_jsx(_components.code,{children:`Type`}),` is `,_jsx(_components.code,{children:`IDENTITY_PROOF`}),` if validated for the user. If no identity proof is validated, then this value is `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsxs(ResponseField,{name:`Birthday`,type:`Unix timestamp`,id:`param-birthday-1`,children:[_jsxs(_components.p,{children:[`Returned `,_jsx(_components.code,{children:`null`}),` if `,_jsx(_components.code,{children:`UserCategory`}),` is `,_jsx(_components.code,{children:`PAYER`}),`.`]}),_jsx(_components.p,{children:`The date of birth of the individual.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Note:`}),` This is a Unix timestamp in UTC. Ensure you convert your timezone to UTC to avoid midnight being interpreted as the day before.`]})]}),_jsxs(ResponseField,{name:`Nationality`,type:`string`,id:`param-nationality-1`,children:[_jsxs(_components.p,{children:[`Returned `,_jsx(_components.code,{children:`null`}),` if `,_jsx(_components.code,{children:`UserCategory`}),` is `,_jsx(_components.code,{children:`PAYER`}),`.`]}),_jsx(_components.p,{children:`The nationality of the individual.`})]}),_jsxs(ResponseField,{name:`CountryOfResidence`,type:`string`,id:`param-country-of-residence-1`,children:[_jsxs(_components.p,{children:[`Returned `,_jsx(_components.code,{children:`null`}),` if `,_jsx(_components.code,{children:`UserCategory`}),` is `,_jsx(_components.code,{children:`PAYER`}),`.`]}),_jsx(_components.p,{children:`The country of residence of the individual.`})]}),_jsxs(ResponseField,{name:`Email`,type:`string`,id:`param-email-1`,children:[_jsx(_components.p,{children:`Format: A valid email address`}),_jsxs(_components.p,{children:[`Required if `,_jsx(_components.code,{children:`UserCategory`}),` is `,_jsx(_components.code,{children:`OWNER`}),`. Returned `,_jsx(_components.code,{children:`null`}),` if `,_jsx(_components.code,{children:`UserCategory`}),` is `,_jsx(_components.code,{children:`PAYER`}),`.`]}),_jsxs(_components.p,{children:[`The individual’s email address. For `,_jsx(_components.code,{children:`OWNER`}),` users, SCA uses this email address to build a `,_jsx(_components.a,{href:`/guides/sca/factors#email-confirmation-behavioral-biometrics`,children:`behavioral biometrics profile`}),` and as a backup communication channel.`]})]}),_jsxs(ResponseField,{name:`PhoneNumberCountry`,type:`string`,id:`param-phone-number-country-1`,children:[_jsxs(_components.p,{children:[`Format: Two-letter country code (`,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`ISO 3166-1 alpha-2 format`}),`)`]}),_jsxs(_components.p,{children:[`Required if the `,_jsx(_components.code,{children:`PhoneNumber`}),` is provided in local format (recommended), to render the value in the E.164 standard.`]})]}),_jsxs(ResponseField,{name:`PhoneNumber`,type:`string`,id:`param-phone-number-1`,children:[_jsx(_components.p,{children:`Format: International E.164 standard (preceded by plus sign and country code) or local format`}),_jsxs(_components.p,{children:[`The individual’s phone number. The local format (recommended) requires `,_jsx(_components.code,{children:`PhoneNumberCountry`}),` to ensure correct formatting.`]}),_jsx(_components.p,{children:`If present, the phone number forms part of card transaction data that is passed to issuers to improve authentication rates.`}),_jsxs(_components.p,{children:[`For users with `,_jsx(_components.code,{children:`UserCategory`}),` `,_jsx(_components.code,{children:`OWNER`}),` , the phone number is used to pre-populate the SCA session for them to confirm and receive an SMS OTP. If the individual modifies the phone number during the session, this data is not updated in the API.`]})]})]})]}),_jsx(ResponseField,{name:`ProofOfRegistration`,type:`string`,id:`param-proof-of-registration`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`Id`}),` of the KYC Document whose `,_jsx(_components.code,{children:`Type`}),` is `,_jsx(_components.code,{children:`REGISTRATION_PROOF`}),` if validated for the user. If no registration proof is validated, then this value is `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`ShareholderDeclaration`,type:`string`,id:`param-shareholder-declaration`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`Id`}),` of the KYC Document whose `,_jsx(_components.code,{children:`Type`}),` is `,_jsx(_components.code,{children:`SHAREHOLDERS_DECLARATION`}),` if validated for the user. If no Shareholder Declaration is validated, then this value is `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`Statute`,type:`string`,id:`param-statute`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`Id`}),` of the KYC Document whose `,_jsx(_components.code,{children:`Type`}),` is `,_jsx(_components.code,{children:`ARTICLES_OF_ASSOCIATION`}),` if validated for the user. If no articles of association document is validated, then this value is `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsxs(ResponseField,{name:`CompanyNumber`,type:`string`,id:`param-company-number-1`,children:[_jsxs(_components.p,{children:[`Required if `,_jsx(_components.code,{children:`UserCategory`}),` is `,_jsx(_components.code,{children:`OWNER`}),` and `,_jsx(_components.code,{children:`LegalPersonType`}),` is `,_jsx(_components.code,{children:`BUSINESS`}),`. Returned `,_jsx(_components.code,{children:`null`}),` if `,_jsx(_components.code,{children:`UserCategory`}),` is `,_jsx(_components.code,{children:`PAYER`}),`.`]}),_jsxs(_components.p,{children:[`The registration number of the entity, assigned by the relevant national authority. For information on the expected format for a specific country, see the `,_jsx(_components.a,{href:`/guides/users/verification/company-number`,children:`Company number`}),` guide. To validate the format of a number before submitting documents for verification, use `,_jsx(_components.a,{href:`/api-reference/user-data-format/validate-user-data-format`,children:`POST Validate the format of User data`}),`.`]})]}),_jsxs(ResponseField,{name:`PendingUserAction`,type:`object`,id:`param-pending-user-action`,children:[_jsxs(_components.p,{children:[`Object containing the link needed for SCA redirection if triggered by the API call (otherwise returned `,_jsx(_components.code,{children:`null`}),`).`]}),_jsx(Expandable,{title:`properties`,defaultOpen:true,children:_jsxs(ResponseField,{name:`RedirectUrl`,type:`string`,id:`param-redirect-url`,children:[_jsx(_components.p,{children:`The URL to which to redirect the user to perform strong customer authentication (SCA) via a Mangopay-hosted webpage. This value is a variable and should not be hardcoded.`}),_jsx(_components.p,{children:`The SCA session link expires 10 minutes after it’s generated.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Caution:`}),` Before redirecting the user on this URL, you must add the query parameter `,_jsx(_components.code,{children:`ReturnUrl`}),` with the percent-encoded URL to which you want the SCA session to return the user after authentication (whether successful or not).`]}),_jsxs(_components.p,{children:[`For more details, see `,_jsx(_components.a,{href:`/guides/sca/session#how-to-redirect-a-user-for-sca`,children:`How to redirect a user for an SCA session`}),`.`]})]})})]}),_jsxs(ResponseField,{name:`HeadquartersAddress`,type:`object`,id:`param-headquarters-address-1`,children:[_jsxs(_components.p,{children:[`The legally registered address of the entity’s administrative center.`,_jsx(_components.br,{}),`\n`,`This object’s sub-parameters are `,_jsx(_components.code,{children:`null`}),` if the `,_jsx(_components.code,{children:`UserCategory`}),` is `,_jsx(_components.code,{children:`PAYER`}),`.`]}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`AddressLine1`,type:`string`,id:`param-address-line1-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The first line of the address.`})]}),_jsxs(ResponseField,{name:`AddressLine2`,type:`string`,id:`param-address-line2-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The second line of the address.`})]}),_jsxs(ResponseField,{name:`City`,type:`string`,id:`param-city-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The city of the address.`})]}),_jsxs(ResponseField,{name:`Region`,type:`string`,id:`param-region-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsxs(_components.p,{children:[`The region of the address. This field is optional except if the `,_jsx(_components.code,{children:`Country`}),` is US, CA, or MX.`]})]}),_jsxs(ResponseField,{name:`PostalCode`,type:`string`,id:`param-postal-code-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.`})]}),_jsxs(ResponseField,{name:`Country`,type:`string`,id:`param-country-1`,children:[_jsxs(_components.p,{children:[`Format: Two-letter country code (`,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`ISO 3166-1 alpha-2 format`}),`)`]}),_jsx(_components.p,{children:`The country of the address.`})]})]})]}),_jsxs(ResponseField,{name:`LegalRepresentativeAddress`,type:`object`,id:`param-legal-representative-address`,children:[_jsx(_components.p,{children:`The address of the entity’s legal representative.`}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`AddressLine1`,type:`string`,id:`param-address-line1-2`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The first line of the address.`})]}),_jsxs(ResponseField,{name:`AddressLine2`,type:`string`,id:`param-address-line2-2`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The second line of the address.`})]}),_jsxs(ResponseField,{name:`City`,type:`string`,id:`param-city-2`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The city of the address.`})]}),_jsxs(ResponseField,{name:`Region`,type:`string`,id:`param-region-2`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsxs(_components.p,{children:[`The region of the address. This field is optional except if the `,_jsx(_components.code,{children:`Country`}),` is US, CA, or MX.`]})]}),_jsxs(ResponseField,{name:`PostalCode`,type:`string`,id:`param-postal-code-2`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.`})]}),_jsxs(ResponseField,{name:`Country`,type:`string`,id:`param-country-2`,children:[_jsxs(_components.p,{children:[`Format: Two-letter country code (`,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`ISO 3166-1 alpha-2 format`}),`)`]}),_jsx(_components.p,{children:`The country of the address.`})]})]})]}),_jsxs(ResponseField,{name:`Id`,type:`string`,id:`param-id`,children:[_jsxs(_components.p,{children:[`Max length: 128 characters (see `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`data formats`}),` for details)`]}),_jsx(_components.p,{children:`The unique identifier of the object.`})]}),_jsxs(ResponseField,{name:`Tag`,type:`string`,id:`param-tag`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`Custom data that you can add to this object.`})]}),_jsx(ResponseField,{name:`CreationDate`,type:`Unix timestamp`,id:`param-creation-date`,children:_jsx(_components.p,{children:`The date and time at which the object was created.`})}),_jsxs(ResponseField,{name:`PersonType`,type:`string`,id:`param-person-type`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` NATURAL, LEGAL`]}),_jsx(_components.p,{children:`The type of the user:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`NATURAL`}),` – Natural users are individuals (natural persons).`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`LEGAL`}),` – Legal users are legal entities (legal persons) like companies, non-profits, and sole proprietors.`]}),`\n`]}),_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`PersonType`}),` is defined by the endpoint used to create the user and can’t be modified.`]})]}),_jsxs(ResponseField,{name:`Email`,type:`string`,id:`param-email-2`,children:[_jsx(_components.p,{children:`Format: A valid email address`}),_jsx(_components.p,{children:`The email address for the entity.`})]}),_jsxs(ResponseField,{name:`KYCLevel`,type:`string`,id:`param-kyc-level`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Default value:`}),` `,_jsx(_components.code,{children:`LIGHT`})]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`LIGHT`}),`, `,_jsx(_components.code,{children:`REGULAR`})]}),_jsx(_components.p,{children:`The verification status of the user set by Mangopay:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`LIGHT`}),` – Unverified, assigned by default to all users.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`REGULAR`}),` – Verified, meaning the user has successfully completed the verification process and had the necessary documents validated by Mangopay. Only users whose `,_jsx(_components.code,{children:`UserCategory`}),` is `,_jsx(_components.code,{children:`OWNER`}),` can submit verification documents for validation. Only users whose `,_jsx(_components.code,{children:`KYCLevel`}),` is `,_jsx(_components.code,{children:`REGULAR`}),` can request payouts.`]}),`\n`]})]}),_jsxs(ResponseField,{name:`TermsAndConditionsAccepted`,type:`boolean`,id:`param-terms-and-conditions-accepted-1`,children:[_jsxs(_components.p,{children:[`Whether the user has accepted Mangopay’s terms and conditions (as defined by your contract, see the `,_jsx(_components.a,{href:`/guides/users/terms`,children:`T\u0026Cs guide`}),` for details).`]}),_jsxs(_components.p,{children:[`Must be `,_jsx(_components.code,{children:`true`}),` if `,_jsx(_components.code,{children:`UserCategory`}),` is `,_jsx(_components.code,{children:`OWNER`}),`.`]})]}),_jsxs(ResponseField,{name:`TermsAndConditionsAcceptedDate`,type:`Unix timestamp`,id:`param-terms-and-conditions-accepted-date`,children:[_jsxs(_components.p,{children:[`The date and time at which the `,_jsx(_components.code,{children:`TermsAndConditionsAccepted`}),` value was set to `,_jsx(_components.code,{children:`true`}),`.`]}),_jsxs(_components.p,{children:[`Returned `,_jsx(_components.code,{children:`null`}),` if `,_jsx(_components.code,{children:`UserCategory`}),` is `,_jsx(_components.code,{children:`PAYER`}),`.`]})]}),_jsxs(ResponseField,{name:`UserCategory`,type:`string`,id:`param-user-category-1`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Possible values:`}),` `,_jsx(_components.code,{children:`PAYER`}),`, `,_jsx(_components.code,{children:`OWNER`}),`, `,_jsx(_components.code,{children:`PLATFORM`})]}),_jsxs(_components.p,{children:[`The `,_jsx(_components.a,{href:`/guides/users/categories`,children:`category`}),` of the user:`]}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`PAYER`}),` – User who can only make pay-ins to their wallets and transfers to other wallets (as well as refunds for pay-ins and transfers).`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`OWNER`}),` – User who can also receive transfers to their wallets. Owners are able to request `,_jsx(_components.a,{href:`/guides/users/verification`,children:`KYC verification`}),`, which if successful gives them the `,_jsx(_components.code,{children:`KYCLevel`}),` of `,_jsx(_components.code,{children:`REGULAR`}),` and the ability to request payouts.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`PLATFORM`}),` – Single specific user that represents the platform. The `,_jsx(_components.code,{children:`PLATFORM`}),` value is only assigned by Mangopay and may be used as part of the validated workflow implemented by the platform.`]}),`\n`]})]}),_jsxs(ResponseField,{name:`UserStatus`,type:`string`,id:`param-user-status`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`PENDING_USER_ACTION`}),`, `,_jsx(_components.code,{children:`ACTIVE`}),`, `,_jsx(_components.code,{children:`CLOSED`})]}),_jsx(_components.p,{children:`The status of the user:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`PENDING_USER_ACTION`}),` – The user must enroll in SCA before they can become `,_jsx(_components.code,{children:`ACTIVE`}),`.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`ACTIVE`}),` – The user account is active and the user can access Mangopay features.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`CLOSED`}),` – The user account is permanently closed. This value is used by Mangopay to close an account following the procedure outlined in the terms and conditions.`]}),`\n`]})]})]})}),`\n`,_jsxs(AccordionGroup,{children:[_jsx(Accordion,{title:`400 - LegalRepresentative.Email required`,id:`400-legalrepresentative-email-required`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`9`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`9`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"One or several required parameters are missing or incorrect. An incorrect resource ID also raises this kind of error.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"param_error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"939c4b8c-3e82-4012-a5bd-a3aa2727432a\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Date\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1751881519.0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"errors\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"LegalRepresentative.Email\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"'Email' must not be empty.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),_jsxs(Accordion,{title:`400 - Endpoint not allowed if category already OWNER`,id:`400-endpoint-not-allowed-if-category-already-owner`,children:[_jsx(CodeBlock,{filename:``,numberOfLines:`7`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"This endpoint is not allowed for User categorized as OWNER\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"not_allowed_for_user_category_owner\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"68d1c3e0-ea28-465b-9ef1-36f388fc896d\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Date\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1734348365.0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"errors\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsxs(_components.p,{children:[`If the user’s `,_jsx(_components.code,{children:`UserCategory`}),` is `,_jsx(_components.code,{children:`OWNER`}),`, use the `,_jsx(_components.a,{href:`/api-reference/users/enroll-user`,children:`POST Enroll a User in SCA`}),` endpoint to obtain an SCA session link.`]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{Aml,default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Categorize a Legal User","api":"PUT /v2.01/{ClientId}/sca/users/legal/{UserId}/category","description":"Transition a Legal Payer to Owner and enroll them in SCA","href":"/api-reference/users/categorize-legal-user"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const Aml=({content})=>{const{Tooltip}=_provideComponents()||{};if(!Tooltip)_missingMdxReference(`Tooltip`,true);return _jsx(Tooltip,{tip:`Regulations which require companies like Mangopay to implement measures that help ensure the money transacting through their system is legitimate.`,children:content})};function _createMdxContent(props){const _components={a:`a`,br:`br`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,CodeBlock,Expandable,Heading,Note,ParamField,RequestExample,ResponseExample,ResponseField}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`This endpoint allows you to transition a user whose `,_jsx(_components.code,{children:`UserCategory`}),` is `,_jsx(_components.code,{children:`PAYER`}),` into an `,_jsx(_components.code,{children:`OWNER`}),` by providing the required information and redirecting them on the `,_jsx(_components.code,{children:`PendingUserAction.RedirectUrl`}),` response value to complete SCA enrollment.`]}),`\n`,_jsxs(_components.p,{children:[`SCA applies to all `,_jsx(_components.code,{children:`LegalPersonType`}),`: `,_jsx(_components.code,{children:`BUSINESS`}),`, `,_jsx(_components.code,{children:`ORGANIZATION`}),`, `,_jsx(_components.code,{children:`PARTNERSHIP`}),`, and `,_jsx(_components.code,{children:`SOLETRADER`}),`. In Sandbox the `,_jsx(_components.code,{children:`RedirectUrl`}),` is returned for all legal user types (see `,_jsx(_components.a,{href:`/guides/sca/users#legal-user-integration`,children:`legal user integration`}),` and `,_jsx(_components.a,{href:`/guides/sca/users#sca-triggers-in-sandbox`,children:`SCA triggers in Sandbox`}),`).`]}),`\n`,_jsxs(_components.p,{children:[`Optionally, you can update the `,_jsx(_components.code,{children:`LegalRepresentative.Email`}),` (in not already present) and provide or update the `,_jsx(_components.code,{children:`LegalRepresentative.PhoneNumber`}),` and `,_jsx(_components.code,{children:`LegalRepresentative.PhoneNumberCountry`}),` before SCA redirection.`]}),`\n`,_jsxs(_components.p,{children:[`If the user’s `,_jsx(_components.code,{children:`UserCategory`}),` is already `,_jsx(_components.code,{children:`OWNER`}),`, use the `,_jsx(_components.a,{href:`/api-reference/users/enroll-user`,children:`POST Enroll a User in SCA`}),` endpoint to obtain an SCA session link.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.a,{href:`/guides/sca/session`,children:`Read more about SCA redirection`}),` `,_jsx(_components.strong,{children:`→`})]}),`\n`,_jsxs(Note,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Note – Country-based restrictions apply to users`})}),_jsxs(_components.p,{children:[`Due to Mangopay’s `,_jsx(_components.a,{href:`/guides/users/country-restrictions`,children:`country restrictions`}),`, it is not possible to use blocked countries as the following:`]}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`LegalRepresentative.Nationality`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`LegalRepresentative.CountryOfResidence`})}),`\n`]})]}),`\n`,_jsx(Heading,{level:`3`,id:`body-parameters`,children:`Body parameters`}),`\n`,_jsxs(ParamField,{body:`UserCategory`,type:`string`,required:true,id:`param-user-category`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Allowed values:`}),` `,_jsx(_components.code,{children:`OWNER`})]}),_jsxs(_components.p,{children:[`The new category of the user, which must be `,_jsx(_components.code,{children:`OWNER`}),`.`]})]}),`\n`,_jsxs(ParamField,{body:`TermsAndConditionsAccepted`,type:`boolean`,required:true,id:`param-terms-and-conditions-accepted`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Allowed values:`}),` `,_jsx(_components.code,{children:`true`})]}),_jsxs(_components.p,{children:[`Whether the user has accepted Mangopay’s terms and conditions (as defined by your contract, see the `,_jsx(_components.a,{href:`/guides/users/terms`,children:`T\u0026Cs guide`}),` for details).`]})]}),`\n`,_jsxs(ParamField,{body:`LegalRepresentative`,type:`object`,required:true,id:`param-legal-representative`,children:[_jsx(_components.p,{children:`Information about the legal representative declared for the user.`}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ParamField,{body:`Birthday`,type:`Unix timestamp`,required:true,id:`param-birthday`,children:[_jsx(_components.p,{children:`The date of birth of the individual.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Note:`}),` This is a Unix timestamp in UTC. Ensure you convert your timezone to UTC to avoid midnight being interpreted as the day before.`]})]}),_jsxs(ParamField,{body:`Nationality`,type:`string`,required:true,id:`param-nationality`,children:[_jsxs(_components.p,{children:[`Format: Two-letter country code (`,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`ISO 3166-1 alpha-2 format`}),`)`]}),_jsx(_components.p,{children:`The nationality of the individual.`})]}),_jsxs(ParamField,{body:`CountryOfResidence`,type:`string`,required:true,id:`param-country-of-residence`,children:[_jsxs(_components.p,{children:[`Format: Two-letter country code (`,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`ISO 3166-1 alpha-2 format`}),`)`]}),_jsx(_components.p,{children:`The country of residence of the individual.`})]}),_jsxs(ParamField,{body:`Email`,type:`string`,required:true,id:`param-email`,children:[_jsx(_components.p,{children:`Format: A valid email address`}),_jsxs(_components.p,{children:[`The individual’s email address. For `,_jsx(_components.code,{children:`OWNER`}),` users, SCA uses this email address to build a `,_jsx(_components.a,{href:`/guides/sca/factors#email-confirmation-behavioral-biometrics`,children:`behavioral biometrics profile`}),` and as a backup communication channel.`]})]}),_jsxs(ParamField,{body:`PhoneNumber`,type:`string`,id:`param-phone-number`,children:[_jsx(_components.p,{children:`Format: International E.164 standard (preceded by plus sign and country code) or local format`}),_jsxs(_components.p,{children:[`The individual’s phone number. The local format (recommended) requires `,_jsx(_components.code,{children:`PhoneNumberCountry`}),` to ensure correct formatting.`]}),_jsx(_components.p,{children:`If present, the phone number forms part of card transaction data that is passed to issuers to improve authentication rates.`}),_jsxs(_components.p,{children:[`For users with `,_j
[...]
